import { ColumnType } from '../data';
export { ColumnType as ColumnFieldType_Server } from '../data';
export declare enum DatasetColumnType_Server {
    Dimension = "dimension",
    Fact = "fact",
    Any = "any"
}
export interface Dataset_Server {
    id: number;
    name: string;
    columns_id: Column_Server[];
}
export interface Column_Server {
    id: number;
    name: string;
    path: string;
    base_type: ColumnType;
    data_type?: DatasetColumnType_Server;
}
