import { Theme } from '../theme';
export interface ThemeProvide {
    theme: Theme;
    themeKey: string;
    themeProjectKey: string;
}
export declare type ThemeKey = keyof Pick<Theme, 'background' | 'backgroundBright' | 'backgroundTint' | 'text' | 'textTint'>;
export declare type ThemeProjectKey = keyof Pick<Theme, 'colors'>;
export declare const themeKeys: ThemeKey[];
export declare const themeProjectKeys: ThemeProjectKey[];
export declare function provideCssVariables({ theme, themeKey, themeProjectKey, }: ThemeProvide): void;
export declare function colorizeClassName(i: number, j: number): string;
export declare function createColorizeColors(source: string[]): string[][];
