import { Text, ViewSettingsItem } from '../config';
export declare enum ViewSettingsItemType {
    Input = "text",
    Checkbox = "checkbox",
    Radio = "radio",
    Select = "select",
    ColorPicker = "color-picker",
    Title = "title",
    TextArea = "textArea"
}
export interface ViewSettingsItemValue {
    type: ViewSettingsItemType;
    key: string;
    label: Text;
    defaultValue?: any;
    options?: {
        label: Text;
        value: string;
    }[];
    span?: number;
}
export declare const viewSettingsItemValue = "418d9556-a046-4623-be0b-4f4f69ccb783";
export declare function viewSettingsExtract(viewSettings: ViewSettingsItem[]): ViewSettingsItemValue[];
export declare function valueConversion(type: ViewSettingsItemType, source: any): any;
